| DocBook: The Definitive Guide 2.0.17 (Alpha)

# setinfo

$Revision$

$Date$

setinfo — Meta-information for a `Set`

## Synopsis

### Content Model

    setinfo ::=
    ((graphic|mediaobject|legalnotice|modespec|subjectset|keywordset|
      itermset|abbrev|abstract|address|artpagenums|author|authorgroup|
      authorinitials|bibliomisc|biblioset|collab|confgroup|
      contractnum|contractsponsor|copyright|corpauthor|corpname|
      corpcredit|date|edition|editor|invpartnumber|isbn|issn|issuenum|
      orgname|biblioid|citebiblioid|bibliosource|bibliorelation|
      bibliocoverage|othercredit|pagenums|printhistory|productname|
      productnumber|pubdate|publisher|publishername|pubsnumber|
      releaseinfo|revhistory|seriesvolnums|subtitle|title|titleabbrev|
      volumenum|citetitle|personname|honorific|firstname|surname|
      lineage|othername|affiliation|authorblurb|contrib|indexterm)+)

### Attributes

Common attributes

Name | Type | Default
contents | IDREFS | None

## Description

`SetInfo` contains meta-information about an entire set of `Book`s.

### Processing expectations

Suppressed. Many of the elements in this wrapper may be used in presentation, but they are not generally printed as part of the formatting of the wrapper. The wrapper merely serves to identify where they occur.

### Future Changes

`AuthorBlurb` and `Affiliation` will be removed from the inline content of `SetInfo` in DocBook V4.0. A new wrapper element will be created to associate this information with authors, editors, and other contributors.

### Future Changes

The `contents` attribute will be removed.

### Parents

These elements contain setinfo: `set`.

### Children

The following elements occur in setinfo: `abbrev`, `abstract`, `address`, `affiliation`, `artpagenums`, `author`, `authorblurb`, `authorgroup`, `authorinitials`, `bibliocoverage`, `biblioid`, `bibliomisc`, `bibliorelation`, `biblioset`, `bibliosource`, `citebiblioid`, `citetitle`, `collab`, `confgroup`, `contractnum`, `contractsponsor`, `contrib`, `copyright`, `corpauthor`, `corpcredit`, `corpname`, `date`, `edition`, `editor`, `firstname`, `graphic`, `honorific`, `indexterm`, `invpartnumber`, `isbn`, `issn`, `issuenum`, `itermset`, `keywordset`, `legalnotice`, `lineage`, `mediaobject`, `modespec`, `orgname`, `othercredit`, `othername`, `pagenums`, `personname`, `printhistory`, `productname`, `productnumber`, `pubdate`, `publisher`, `publishername`, `pubsnumber`, `releaseinfo`, `revhistory`, `seriesvolnums`, `subjectset`, `subtitle`, `surname`, `title`, `titleabbrev`, `volumenum`.

## Attributes

contents

  `Contents`, if specified, should contain a list of all the IDs of the book-level subelements in the `Set`, presumably in their natural order.

## See Also

`appendixinfo`, `articleinfo`, `bibliographyinfo`, `blockinfo`, `bookinfo`, `chapterinfo`, `glossaryinfo`, `indexinfo`, `objectinfo`, `prefaceinfo`, `refsynopsisdivinfo`, `screeninfo`, `sect1info`, `sect2info`, `sect3info`, `sect4info`, `sect5info`, `sectioninfo`.

## Examples

For examples, see `set`.

setindexinfo |  | sgmltag

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.